%define major 1
%define libname %mklibname gavl %major
%define develname %mklibname gavl -d

Name:           gavl
Version:        1.2.0
Release:        %mkrel 1
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries
License:        GPLv2+
URL:            http://gmerlin.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gmerlin/gavl-%{version}.tar.gz
Patch1:         gavl-1.1.1-system_libgdither.patch
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  libpng-devel >= 1.0.8
BuildRequires:  libgdither-devel

%description
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %libname
Summary:        A library for handling uncompressed audio and video data
Group:          System/Libraries

%description -n %libname
Gavl is a library for handling and converting uncompressed audio and
video data. It provides datatypes for audio/video formats and standardized
structures to store the data. It supports converting between all formats.
Some conversion functions are available in multiple versions (MMX...),
which are selected by compile time configuration, CPU autodetection and
user options.

%package -n     %develname
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for developing applications
that use %{name}.

%prep
%setup -q
%patch1 -p1 -b .gdither

# (Fedora) Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

# (Fedora) Regenerate build tool
sh autogen.sh

%build
%configure2_5x \
  --disable-static \
  --disable-cpu-clip \
  --enable-libgdither

%make

%install
rm -rf %{buildroot}
%makeinstall_std INSTALL="install -p"

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# (Fedora) Prevent timestamps build difference
touch -r include/gavl/gavl.h %{buildroot}%{_includedir}/gavl/gavl_version.h

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root,-)
%doc %{_docdir}/gavl/apiref/
%{_includedir}/gavl/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gavl.pc


%changelog
* Sun Jul 03 2011 ahmad <ahmad> 1.2.0-1.mga2
+ Revision: 117629
- Update to 1.2.0
- Use %%configure2_5x

* Thu Jun 09 2011 ahmad <ahmad> 1.1.2-1.mga2
+ Revision: 102145
- Adapt the spec to the Mageia packaging guide lines
- Fix the License tag
- imported package gavl


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May 01 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 1.1.2-1
- Update to 1.1.2

* Tue Oct 27 2009 kwizart < kwizart at gmail.com > - 1.1.1-1
- Update to 1.1.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 24 2009 kwizart < kwizart at gmail.com > - 1.1.0-1
- Update to 1.1.0
- Disable buildtime CPU detection.

* Tue Jul 29 2008 kwizart < kwizart at gmail.com > - 1.0.1-1
- Update to 1.0.1

* Tue Jul 22 2008 kwizart < kwizart at gmail.com > - 1.0.0-2
- Add --enable-libgdither for system libgdither
- Add --enable-debug to disable LQT_OPT_CFLAGS
- Add -DHAVE_GAVLCONFIG_H to include gavlconfig.h when needed

* Mon May 19 2008 kwizart < kwizart at gmail.com > - 1.0.0-1
- Update to 1.0.0 api stable

* Mon May 19 2008 kwizart < kwizart at gmail.com > - 0.2.7-4
- Initial package for Fedora
